SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   CuteNews Vendors:   CutePHP Team
CuteNews Input Validation Hole in 'index.php' Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1015726
SecurityTracker URL:  http://securitytracker.com/id/1015726
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Mar 7 2006
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.4.1
Description:   Roozbeh Afrasiabi and imei addmimistrator reported a vulnerability in CuteNews. A remote user can conduct cross-site scripting attacks.

The 'index.php' script does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the CuteNews software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://[target]/index.php?subaction=showcomments&id=[number]&archive=&start_from=&ucat=&">[code]

The original advisory is available at:

http://kapda.ir/advisory-277.html

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the CuteNews software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  cutephp.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  [KAPDA::#30] - CuteNews1.4.1 Cross_Site_Scripting Vulnerability

[KAPDA::#30] - CuteNews1.4.1 Cross_Site_Scripting
Vulnerability

please view the following page for more info:

http://kapda.ir/advisory-277.html

Credit :
--------------------
Discoverd by Roozbeh Afrasiabi and imei addmimistrator
roozbeh_afrasiabi@yahoo.com
Kapda
Security Science Researchers Insitute
www.kapda.ir
www.persiax.com


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC